Write-Host '<<<Ex2010_MBDB_Info>>>' 

$tempfile = "$env:Temp\ex2010_mbdb_info.txt"
#$tempfile = "c:\Temp\ex2010_mbdb_info.txt"
$TimeDiff = 60 * 30


if (Test-Path $tempfile) {
	$td = ((get-date) - (dir $tempfile).lastwritetime).TotalSeconds
}
else {
	$td = 10000000
}

if ($td -ge $TimeDiff) {
	Add-PSSnapin Microsoft.Exchange.Management.PowerShell.E2010 
	$DBS = Get-MailboxDatabase -Status -Server (hostname) 
	$Output = $DBS | % { '{0,-10} {1,-20} {2, -6}' -f $_.name, ($_.Databasesize -replace ',', ''-replace '^.*\((.*) bytes\)', '$1'), (Get-MailboxStatistics -Database $_.name|where { $_.DisconnectReason -ne 'SoftDeleted' }).count } 
	Remove-PSSnapin Microsoft.Exchange.Management.PowerShell.E2010
	($Output -split ," " ,3) -join "_" ; ($Output -split ," " ,3) -join "_" | Out-File $tempfile

}
else {
	Get-Content $tempfile
}
